/**
 * @(#)SVGEllipse.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/28
 */
package jp.co.iti.fagot.xml;

/* java */

/* W3C DOM */
//import	org.w3c.dom.Element;
import	org.w3c.dom.Document;
//import	org.w3c.dom.Node;
//import	org.w3c.dom.NodeList;

/* fagot */
import	jp.co.iti.fagot.xml.SVGShape;

/**
 * SVGRect
 */
public class SVGEllipse	extends	SVGShape	implements	ISVG{
	/**
	 * コンストラクタ
	 * @param	String RootElementName ルートエレメント名("ProjrctUnit"等)
	 * @param	String SystemID        システムID("site.dtd"等)
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
//	 * @deprecated 
	 * DOMツリーを新規に作成する
	 *   ・docフィールドに新規に作成したDOMツリーのDocumentを設定
	 *   ・rootフィールドに新規に作成したDOMツリーのDocumentの
	 *     ルートエレメントを設定
	 */
	public SVGEllipse(Document doc){
		super(doc ,ELLIPSE);
	}
	
	public SVGEllipse(Document doc	,String x ,String y ,String rx ,String ry ,SVGStyle style){
		this(doc);
		if(null!=x)		setAttribute(CX		,x);
		if(null!=y)		setAttribute(CY		,y);
		if(null!=rx)	setAttribute(RX		,rx);
		if(null!=ry)	setAttribute(RY		,ry);
		if(null!=style){
			// CircleMap用にちょっと変更
			setAttribute("fill","none");
			setAttribute("stroke","black");
//			setAttribute(STYLE	,style.toString());
//			myStyle = new SVGStyle(style);
		}
	}
}